%global forgeurl https://github.com/cosmos72/schemesh

Name:    schemesh
Version: 0.8.1
Release: 1%{?dist}
Summary: Fusion between a Unix shell and a Lisp REPL

%forgemeta
License: GPLv2+
URL:     %{forgeurl}
Source0: %{forgesource}

BuildRequires: gcc
BuildRequires: make
BuildRequires: chez-scheme-devel
BuildRequires: lz4-devel
BuildRequires: ncurses-devel
BuildRequires: libuuid-devel
BuildRequires: zlib-devel

# chez-scheme fails on s390x
ExcludeArch:    s390x

%description
Schemesh is an interactive shell scriptable in Lisp.

It is primarily intended as a user-friendly Unix login shell, replacing bash, zsh, pdksh etc.

%prep
%forgesetup

%build
%make_build \
    prefix=%{_prefix} \
    libdir=%{_libdir} \
    bindir=%{_bindir} \
    CFLAGS="$CFLAGS" \
    LDFLAGS="$LDFLAGS"

%install
%make_install prefix=%{_prefix} libdir=%{_libdir} bindir=%{_bindir}

%files
%license COPYING
%doc README.md
%{_bindir}/schemesh
%{_libdir}/schemesh/libschemesh_%{version}.so

%changelog
* Tue Mar 18 2025 Jonny Heggheim <hegjon@gmail.com> - 0.8.1-1
- Updated to version 0.8.1

* Mon Feb 17 2025 Jonny Heggheim <hegjon@gmail.com>
- Initial package